#pragma once
#include "Concepts.hpp"
template <Property_Product Product, State_Value State>
struct Optional_State_Validator {
    void operator()(const State& state) const {
        if constexpr (Has_State_Validator<Product, State>) {
            Product::validate_state(state);
        }
    }
};
